=== debian/changelog ===
kst (2.0.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "missing Breaks+Replaces: kst-bin (<< 2.0.3)": add  Breaks+Replaces to
    kst-data, thanks Andreas Beckmann.
    (Closes: #632443)

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 Nov 2012 18:38:12 +0100

kst (2.0.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Build-depends: libgetdata-dev (Closes: #556990)
  * Bump Standards-Version to 3.9.3 (no changes)
  * Bump debhelper compat level to 9
  * Drop fragile *.symbols files
  * debian/rules updated to ensure dpkg-buildflags (e.g. hardening) works
  * debian/copyright updated to fully comply with
    http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

 -- Michael Milligan <mmilligan@astro.umn.edu>  Wed, 13 Jun 2012 21:39:58 -0500

kst (2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add debian/patches/fix-qreal-vs-double-for-arm.diff from Peter Green to
    fix FTBFS on armel and armhf (Closes: #646423)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Dec 2011 00:45:25 -0500

kst (2.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #604335)
  * New maintainer (Closes: #589685)
  * Reworked debian/copyright using DEP-5 and adding missing entries
  * Reworked debian/rules using dh and 3.0 (quilt) source format
    Tested with binutils-gold (Closes: #615738)
  * Bump compat level to 7
  * Change Section from x11 to science
  * Bump Standards-Version to 3.9.2 (add Homepage field)
  * Update descriptions
  * Add Build-Depends on cmake
  * Remove Build-Depends on libncurses5-dev (Closes: #553793)
  * Remove Build-Depends on kdelibs4-dev, libqt3-mt-dev, libx11-dev, 
    zlib1g-dev, g++, autoconf, autotools-dev, automake1.9, libtool, 
    libncurses5-dev, doxygen, qt3-doc
  * Remove packages: kst-bin, kst-plugins, libkst1c2, libkst1-dev
  * New packages: kst-data, libkst2core2, libkst2math2, libkst2widgets2
  * Update version and url for debian/watch
  * Add *.symbols files
  * Update debian/examples/example.kst (kst2 is can not read kst1 files)
  * New patches solving lintian warnings:
    + desktop-entry-contains-encoding-key.diff
    + desktop-entry-lacks-main-category.diff
    + hyphen-used-as-minus-sign.diff

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 27 Jun 2011 17:28:28 -0500

kst (1.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch for FTBFS (Closes: 543018). Thanks to Ilya Barygin
    <barygin@gmail.com> for the patch.
  * Bump debian/compat to 5.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 14 May 2010 23:51:22 +0200

kst (1.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Mark Hymers <mhy@debian.org>  Sun, 20 Jul 2008 10:18:48 +0100

kst (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Change B-D to libnetcdf-dev.
  * Add dh_icons call.  Closes: #457853.
  * Bump Standards-Version to 3.8.0.
  * Bump debhelper dependency for dh_icons.

 -- Mark Hymers <mhy@debian.org>  Sat, 28 Jun 2008 15:16:16 +0100

kst (1.5.0-2) unstable; urgency=low

  * Remove dpatch support and merge changes into main tree.  This package is
    now maintained in git.

 -- Mark Hymers <mhy@debian.org>  Sat, 10 May 2008 22:02:07 +0100

kst (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standard-Version to 3.7.3.
  * Change menu file to use Applications/Science/Data Analysis instead
    of Apps/Science

 -- Mark Hymers <mhy@debian.org>  Mon, 10 Dec 2007 20:35:38 +0000

kst (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Remove spurious Build-Dep on g77.  Closes: #430180.

 -- Mark Hymers <mhy@debian.org>  Mon, 23 Jul 2007 18:08:57 +0100

kst (1.3.1-2) unstable; urgency=low

  * Change to use libcfitsio3 instead of libcfitsio2.  Closes: #413123.
  * The "I'm bound to screw up my first non-sponsored upload" release.

 -- Mark Hymers <mhy@debian.org>  Sat,  7 Apr 2007 22:58:05 +0100

kst (1.3.1-1) unstable; urgency=low

  * New upstream release. 

 -- Mark Hymers <mark@hymers.org.uk>  Fri,  3 Nov 2006 23:07:26 +0000

kst (1.3.0-1) unstable; urgency=low

  * New upstream release.  Closes: #389955.

 -- Mark Hymers <mark@hymers.org.uk>  Sun,  8 Oct 2006 14:10:19 +0100

kst (1.2.1-2) unstable; urgency=low

  * Update upstream homepage address in debian/control.
  * Add a kst.desktop file
  * Update README.Debian documentation location to reflect reality.
  * Don't compress .docbook files otherwise khelpcentre becomes really
    unhappy.  Closes: #368725.
  * Bump standards version to 3.7.2; no changes needed.
  * Add dpatch to make build with autoconf 2.60. 
  * Stop using --enable-new-ldflags as it breaks linking with libgsl and
    libgslcblas with newer versions of gsl. 

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sun, 16 Jul 2006 15:01:42 +0100

kst (1.2.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #361115)

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sun, 16 Apr 2006 15:13:25 +0100

kst (1.1.1-3) unstable; urgency=low

  * Make libkst-dev Replace libkst0 and libkst1 due to file moves
    (Closes: #353316)

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Tue, 28 Feb 2006 21:49:38 +0000

kst (1.1.1-2) unstable; urgency=low

  * Update admin/ files so that we can build on GNU/k*BSD (Closes: #347187)
  * Use -Wl,--as-needed by using --enable-new-ldflags at configure time
  * Remove gyrodata.dat in clean target

 -- Mark Hymers <mark.hymers@ncl.ac.uk>  Sat, 14 Jan 2006 16:56:13 +0000

kst (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.  Thanks to LaMont Jones.
  * Bump standards version to 3.6.2; no changes needed.
  * Update FSF address in debian/copyright to satisfy lintian.
  * Correct typo in d2asc manpage.
  * Remove g++-3.4 Build-Depends for [arm hppa m68k] and replace with a
    general one on  g++ >= 4:4.0.2-2 which is supposed to fix the FTBFS
    on these architectures.  Closes: #342998.
  * Introduce dpatch into the package.

