=== debian/control ===
Source: kst
Section: science
Priority: optional
Maintainer: Ruben Molina <rmolina@udea.edu.co>
Build-Depends: debhelper (>= 9), cmake (>=2.8),
 libqt4-dev (>= 4.5), libqt4-opengl-dev (>= 4.5),
 libgsl0-dev, libnetcdf-dev, libcfitsio3-dev, libgetdata-dev,
 xsltproc, docbook-xsl
Standards-Version: 3.9.3
Homepage: http://kst.kde.org

Package: kst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libkst2core2, libkst2math2, libkst2widgets2
Recommends: kst-data, kst-doc
Description: scientific data plotting tool
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.

Package: kst-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kst-bin (<< 2.0.3)
Replaces: kst-bin (<< 2.0.3)
Description: set of data files for kst
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains architecture independent files for kst.

Package: kst-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: set of tutorials for kst
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains documentation files for kst.

Package: libkst2core2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kst core library
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains the core library for kst.

Package: libkst2math2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kst math library
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains the math library for kst.

Package: libkst2widgets2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kst widgets library
 Kst is a fast real-time large-dataset viewing and plotting tool. 
 It has basic data analysis functionality, contains many powerful 
 built-in features and is expandable with plugins and extensions.
 .
 This package contains the widgets library for kst.
