=== debian/watch ===
version=3
http://sf.net/kst/kst-(.*)\.tar\.gz
